# $Revision: 1.195 $, $Date: 2012/05/17 17:45:58 $
#
# Conditional build:
%bcond_with	kerberos5	# enable Kerberos V support (conflicts with PAM)
%bcond_without	ldap		# disable LDAP support
%bcond_without	pam		# disable PAM support
%bcond_without	selinux		# build without SELinux support
%bcond_with	skey		# enable skey (onetime passwords) support (conflicts with PAM)

%if "%{pld_release}" == "ac"
%define		pam_ver	0.80.1
%else
%define		pam_ver	0.99.7.1
%endif

Summary:	Allows command execution as root for specified users
Summary(es.UTF-8):	Permite que usuarios específicos ejecuten comandos como se fueran el root
Summary(ja.UTF-8):	指定ユーザに制限付のroot権限を許可する
Summary(pl.UTF-8):	Umożliwia wykonywanie poleceń jako root dla konkretnych użytkowników
Summary(pt_BR.UTF-8):	Permite que usuários específicos executem comandos como se fossem o root
Summary(ru.UTF-8):	Позволяет определенным пользователям исполнять команды от имени root
Summary(uk.UTF-8):	Дозволяє вказаним користувачам виконувати команди від імені root
Name:		sudo
Version:	1.7.9p1
Release:	1
Epoch:		1
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.sudo.ws/pub/sudo/%{name}-%{version}.tar.gz
# Source0-md5:	784ac5d58b87fd9147078cafb15945ca
Source1:	%{name}.pamd
Source2:	%{name}-i.pamd
Source3:	%{name}.logrotate
Patch0:		%{name}-libtool.patch
Patch1:		%{name}-env.patch
Patch2:		config.patch
URL:		http://www.sudo.ws/sudo/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool >= 2:2.2.6
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%{?with_pam:BuildRequires:	pam-devel}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.595
%{?with_skey:BuildRequires:	skey-devel >= 2.2-11}
BuildRequires:	zlib-devel
Requires:	pam >= %{pam_ver}
Obsoletes:	cu-sudo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		schemadir	/usr/share/openldap/schema

%description
Sudo (superuser do) allows a permitted user to execute a command as
the superuser (real and effective uid and gid are set to 0 and root's
group as set in the passwd file respectively).

Sudo determines who is an authorized user by consulting the file
/etc/sudoers. By giving sudo the -v flag a user can update the time
stamp without running a command. The password prompt itself will also
time out if the password is not entered with N minutes (again, this is
defined at installation time and defaults to 5 minutes).

%description -l es.UTF-8
Sudo (superuser do) permite que el administrador del sistema otorga a
ciertos usuarios (o grupos de usuarios) la habilidad para ejecutar
algunos (o todos) comandos como root, registrando todos los comandos y
argumentos. Sudo opera en una base por comando, no siendo un
substituto para la shell.

%description -l ja.UTF-8
sudo (superuser do)
とはシステム管理者が、信用できるユーザ(またはグループ)に対
して、いくつか(もしくは全て)のコマンドを root
として実行できるよう、そのコマン
ドの実行履歴のログをとりつつ許可する仕組みです。sudo
はコマンド一行単位で動作
します。シェルの置き換えではありません。以下の機能を内蔵しています。ホスト単位
で、そのコマンドを実行可能なユーザを制限する機能、各コマンドについての(誰がな
にを実行したかの痕跡を残すための)豊富なロギング機能、sudo
コマンドのタイムアウ
ト時間を設定可能、複数のマシンで同一の設定ファイル(sudoers)を共有する機能、が
あります。

%description -l pl.UTF-8
Sudo (superuser do) umożliwia wykonywanie konkretnych poleceń jako
root dla wyspecyfikowanych użytkowników (rzeczywiste i efektywne
uid/gid podczas wykonywania tych programów jest 0). To kto może
wykonywać konkretne polecenia i w jaki sposób ma być autoryzowany jest
opisane w pliku /etc/sudoers.

%description -l pt_BR.UTF-8
Sudo (superuser do) permite que o administrador do sistema dê a certos
usuários (ou grupos de usuários) a habilidade para rodar alguns (ou
todos) comandos como root, registrando todos os comandos e argumentos.
Sudo opera numa base por comando, não sendo um substituto para a
shell.

%description -l ru.UTF-8
Sudo (superuser do) позволяет системному администратору предоставлять
определенным пользователям (или их группам) возможность исполнять
некоторые (или все) команды с правами root, при этом протоколируя все
команды и аргументы. Sudo работает с отдельными командами, это не
замена командной оболочки (shell). Некоторые из возможностей sudo:
ограничение того, какие команды пользователь может запускать в
зависимости от хоста; полное протоколирование каждой команды;
настраиваемое время, на протяжении которого sudo помнит пароль;
использование одного конфигурационного файла (sudoers) на многих
машинах.

%description -l uk.UTF-8
Sudo (superuser do) дозволяє системному адміністраторові надати певним
користувачам (чи їх групам) можливість виконувати деякі (чи всі)
команди з правами root, при цьому протоколюючи всі команди та
аргументи. Sudo працює з окремими командами, це не заміна командної
оболонки (shell). Деякі з можливостей sudo: обмеження того, які
команди користувач може запускати в залежності від хоста; повне
протоколювання кожної команди; настроюваний час, на протязі якого sudo
пам'ятає пароль; використання одного конфігураційного файлу (sudoers)
на багатьох машинах.

%package -n openldap-schema-sudo
Summary:	Sudo LDAP schema
Summary(pl.UTF-8):	Schemat bazy sudo dla LDAP
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers
Requires:	sed >= 4.0

%description -n openldap-schema-sudo
This package contains sudo.schema for openldap.

%description -n openldap-schema-sudo -l pl.UTF-8
Ten pakiet zawiera sudo.schema dla pakietu openldap.

%prep
%setup -q
# only local macros
mv aclocal.m4 acinclude.m4
# do not load libtool macros from acinclude
cp -p acinclude.m4 acinclude.m4.orig
%{__sed} -i -e '/Pull in libtool macros/,$d' acinclude.m4

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__mv} install-sh install-custom-sh
%{__libtoolize}
%{__mv} install-custom-sh install-sh
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure \
	NROFFPROG=nroff \
	--with-incpath=/usr/include/security \
	--with-pam \
	--with-pam-login \
	--with-logging=both \
	--with-logfac=auth \
	--with-logpath=/var/log/sudo \
	--with-ignore-dot \
	--with-env-editor \
	--with-secure-path="/bin:/sbin:/usr/bin:/usr/sbin" \
	--with-loglen=320 \
	--enable-zlib=system \
	--with%{!?with_kerberos5:out}-kerb5 \
	--with%{!?with_ldap:out}-ldap \
	--with%{!?with_skey:out}-skey \
	--with%{!?with_selinux:out}-selinux \
	--with-long-otp-prompt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{sudoers.d,pam.d,logrotate.d},/var/log/sudo-io,%{_mandir}/man8}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	install_uid=$(id -u) \
	install_gid=$(id -g) \
	sudoers_uid=$(id -u) \
	sudoers_gid=$(id -g)

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/sudo
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/sudo-i
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/sudo

touch $RPM_BUILD_ROOT/var/log/sudo

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%if %{with ldap}
install -d $RPM_BUILD_ROOT%{schemadir}
cp -p schema.OpenLDAP $RPM_BUILD_ROOT%{schemadir}/sudo.schema
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n openldap-schema-sudo
%openldap_schema_register %{schemadir}/sudo.schema -d core
%service -q ldap restart
%banner -o -e openldap-schema-sudo <<'EOF'
NOTE:
In order for sudoRole LDAP queries to be efficient, the server must index
the attribute 'sudoUser', e.g.

    # Indices to maintain
    index   sudoUser    eq
EOF

%postun -n openldap-schema-sudo
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/sudo.schema
	%service -q ldap restart
fi

%triggerpostun -- %{name} < 1:1.7.8p2-5
mv -f /var/run/sudo/* /var/db/sudo 2>/dev/null
rmdir /var/run/sudo 2>/dev/null || :

%files
%defattr(644,root,root,755)
%doc ChangeLog HISTORY NEWS README TROUBLESHOOTING UPGRADE sample.*
%{?with_ldap:%doc README.LDAP sudoers2ldif}
%attr(550,root,root) %dir %{_sysconfdir}/sudoers.d
%attr(440,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/sudoers
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sudo
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sudo-i
%attr(4755,root,root) %{_bindir}/sudo
%attr(4755,root,root) %{_bindir}/sudoedit
%attr(755,root,root) %{_bindir}/sudoreplay
%attr(755,root,root) %{_sbindir}/visudo
%{?with_selinux:%attr(755,root,root) %{_libdir}/sesh}
%attr(755,root,root) %{_libdir}/sudo_noexec.so
%{_mandir}/man5/sudoers.5*
%{?with_ldap:%{_mandir}/man5/sudoers.ldap.5*}
%{_mandir}/man8/sudo.8*
%{_mandir}/man8/sudoedit.8*
%{_mandir}/man8/sudoreplay.8*
%{_mandir}/man8/visudo.8*
%attr(600,root,root) %ghost /var/log/sudo
%attr(700,root,root) /var/log/sudo-io
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/sudo
%attr(700,root,root) %dir /var/db/sudo

%files -n openldap-schema-sudo
%defattr(644,root,root,755)
%{schemadir}/sudo.schema

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sudo.spec,v $
Revision 1.195  2012/05/17 17:45:58  arekm
- up to 1.7.9p1 (SECURITY fix if using ipv4 matching code in rules)

Revision 1.194  2012/03/18 13:32:41  glen
- last command from trigger should not fail

Revision 1.193  2012/03/15 23:51:05  glen
- up to 1.7.9

Revision 1.192  2012/03/15 23:47:25  glen
- use /var/db/sudo for timedir (upstream default) -- do not lecture users with each systemd boot

Revision 1.191  2012/02/12 13:57:50  baggins
- rel 4
- really don't use pam's system-auth session

Revision 1.190  2012/02/12 13:53:10  baggins
- rel 3
- sudo hates pam_systemd, use private pam session config

Revision 1.189  2012/01/31 11:55:19  baggins
- release 2

Revision 1.188  2012/01/31 11:40:33  baggins
- removed test code

Revision 1.187  2012/01/31 11:32:17  baggins
- added tmpfiles config for systemd

Revision 1.186  2012/01/31 10:10:25  arekm
- up to 1.7.8p2

Revision 1.185  2011/10/22 19:19:27  arekm
- up to 1.7.8

Revision 1.184  2011/08/16 09:30:10  glen
- release 2

Revision 1.183  2011/08/15 16:36:33  glen
- sample to disable tty tickets, useful if you need to copy files as root remotely:
  $ ssh -t remote sudo id # enter password hidden
  $ rsync -axHv -e ssh --rsync-path="sudo rsync" remote:/ ./ # copy files with cached sudo rights

Revision 1.182  2011/04/11 12:07:05  glen
- up to 1.7.6

Revision 1.181  2011/03/28 18:07:51  glen
- release 3

Revision 1.180  2011/03/28 09:33:21  glen
- fix underquotion warning

Revision 1.179  2011/03/28 09:31:42  glen
- fix free unallocated path. bug 452

Revision 1.178  2011/03/06 09:40:52  glen
- up to 1.7.5
- package default /var/log/sudo-io dir (for log_input/log_output io redirection)
- force system zlib (used by sudo-io logs)
- bug 440 patch applied here, seems working ok
- ldap schema adds sudoNotAfter and sudoOrder attributes
- cleanups

Revision 1.177  2011/01/24 15:35:12  caleb
- Unadapterized per comments from glen.

Revision 1.176  2011/01/24 13:46:34  caleb
- Up to 1.7.4p6
- Adapterized

Revision 1.175  2011/01/23 01:58:35  sparky
- BR: gettext-devel

Revision 1.174  2011/01/14 14:50:30  qboosh
- updated to 1.7.4p5

Revision 1.173  2010/09/14 21:15:15  glen
- restore to pre 1.7.4 behaviour of -H and $HOME ($MAIL)

Revision 1.172  2010/09/14 20:17:51  glen
- upstream bug

Revision 1.171  2010/09/07 19:06:50  draenog
- 1.7.4p4 (fixes CVE-2010-2956)

Revision 1.170  2010/08/26 22:34:09  pawelz
- fixed last commitlog (rel 2)

Revision 1.169  2010/08/26 22:32:16  pawelz
- added /etc/sudoers.d directory.
- rel 2

Revision 1.168  2010/08/20 16:02:10  draenog
- 1.7.4p3

Revision 1.167  2010/08/12 11:04:25  arekm
- up to 1.7.4p2

Revision 1.166  2010/08/04 07:33:25  qboosh
- pl summary for openldap-schema-

Revision 1.165  2010/08/02 12:01:32  glen
- release 2

Revision 1.164  2010/08/02 10:22:38  glen
- req libtool 2.2.6b

Revision 1.163  2010/08/02 10:08:19  glen
- up to 1.7.4

Revision 1.162  2010/07/12 10:24:15  glen
- release 2

Revision 1.161  2010/07/12 10:10:29  glen
- up to 1.7.3

Revision 1.160  2010/06/07 12:27:59  glen
- release 6

Revision 1.159  2010/06/07 12:27:47  glen
- silly typos

Revision 1.158  2010/06/07 12:06:32  glen
- release 4

Revision 1.157  2010/06/07 12:06:14  glen
- add openldap-schema-sudo package
- use rpm build macros for man symlinks to man links
- rel 3

Revision 1.156  2010/06/07 11:43:26  glen
- ac deps, fix without ldap

Revision 1.155  2010/06/07 08:58:13  glen
- release 2

Revision 1.154  2010/06/02 22:04:53  dirdival
- updated to 1.7.2p7

Revision 1.153  2010/04/15 21:40:47  draenog
- 1.7.2.p6

Revision 1.152  2010/03/02 01:11:54  draenog
- up to 1.7.2p5
- disable-saved-ids is no longer recognised by configure

Revision 1.151  2010/02/24 21:42:08  dirdival
- updated to 1.7.2p4

Revision 1.150  2010/02/21 10:11:16  dirdival
- updated to 1.7.2p3

Revision 1.149  2009/12/06 22:25:48  glen
- revert bad adapter

Revision 1.148  2009/12/06 19:56:54  dirdival
- updated to 1.7.2p2

Revision 1.147  2009/08/03 13:15:54  arekm
- up to 1.7.2p1

Revision 1.146  2009/07/13 17:55:22  arekm
- up to 1.7.2

Revision 1.145  2009/07/02 22:37:47  baggins
- rel 3
- switch to heimdal kerberos

Revision 1.144  2009/06/19 15:01:17  glen
- release 2

Revision 1.143  2009/06/19 13:46:07  glen
- ldap ver bump revert

Revision 1.142  2009/04/23 06:17:24  arekm
- up to 1.7.1

Revision 1.141  2009/02/26 22:17:05  glen
- release 2

Revision 1.140  2009/02/09 13:42:42  blues
- CVE note

Revision 1.139  2008/12/31 17:24:10  arekm
- up to 1.7.0 [fixes: CVE-2009-0034]

Revision 1.138  2008/12/04 07:46:54  arekm
- up to 1.6.9p19

Revision 1.137  2008/11/15 08:58:04  paszczus
- updated to 1.6.9p18

Revision 1.136  2008/10/15 16:22:10  qboosh
- reordered

Revision 1.135  2008/10/15 13:55:21  glen
- replace symlink with man links

Revision 1.134  2008/10/15 12:52:50  sls
- replace sudoedit* hardlinks with symlinks

Revision 1.133  2008/10/15 12:45:18  sls
- keep custom install-sh
- use pretty __make install

Revision 1.132  2008/10/15 11:21:07  sls
- parallel build works

Revision 1.131  2008/10/15 11:16:44  sls
- switched from '__make install' to shell installation, because:
  __libtoolize overwrites install-sh scripts so $INSTALL from Makefile
  no longer recognizes '-O' and '-G' options (useless anyway) and fails
  (installation is strongly based on Makefile installation and may seem
  silly - for example: sudoedit and sudoedit.8 hardlinks)

Revision 1.130  2008/10/15 10:32:37  sls
- verbose files

Revision 1.129  2008/06/27 20:51:50  arekm
- up to 1.6.9p17

Revision 1.128  2008-05-30 22:38:23  qboosh
- updated to 1.6.9p16
- fixed build with libtool 2.2

Revision 1.127  2008-03-30 21:45:41  arekm
- up to 1.6.9p15

Revision 1.126  2008-03-09 16:15:23  arekm
- up to 1.6.9p14 (selinux already merged in)

Revision 1.125  2008-01-04 19:34:11  twittner
- rel. 2 - rebuild with new openldap

Revision 1.124  2007-12-16 14:48:24  qboosh
- updated to 1.6.9p9
- updated selinux patch

Revision 1.123  2007-11-03 12:11:30  baggins
- rel 2

Revision 1.122  2007/11/03 02:10:04  baggins
- updated openldap BR/R to 2.4.6

Revision 1.121  2007/11/01 21:01:33  qboosh
- updated to 1.6.9p7

Revision 1.120  2007/11/01 20:41:13  glen
- preserve $SSH_AUTH_SOCK env; rel 3

Revision 1.119  2007/10/19 19:31:55  glen
- rel 2

Revision 1.118  2007/10/19 19:24:45  glen
- adapter, changelog cosmetics

Revision 1.117  2007/10/09 20:32:25  paszczus
- updated to 1.6.9p6

Revision 1.116  2007/09/10 20:51:21  qboosh
- updated to 1.6.9p5
- updated libtool patch, removed obsolete ac patch

Revision 1.115  2007/08/25 20:59:30  qboosh
- updated to 1.6.9p4

Revision 1.114  2007/08/04 22:33:34  qboosh
- updated to 1.6.9p3
- updated selinux,ac,pam-login patches, removed obsolete pam-sess patch
- added libtool patch to stick to stable libtool
- pam conflicts with kerb5 and skey methods (use pam by default)

Revision 1.113  2007/03/31 22:17:16  baggins
- rel 7.2
- s/heimdal/krb5/

Revision 1.112  2007/03/27 15:30:27  baggins
- pam improvements

Revision 1.111  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.110  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.109  2007/02/11 13:28:38  baggins
- rel 7
- R: pam >= 0.99.7.1

Revision 1.108  2006/11/28 22:33:23  arekm
- rel 6

Revision 1.107  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.106  2006/08/10 19:57:14  patrys
- rel up for new libcrypto

Revision 1.105  2006/08/06 09:38:13  cieciwa
- release 3.

Revision 1.104  2006/01/17 15:45:57  baggins
- release 2
- BR openldap 2.3

Revision 1.103  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.102  2005/11/16 09:30:27  havner
- 1.6.8p12
- fixes http://securitytracker.com/alerts/2005/Nov/1015192.html

Revision 1.101  2005/10/30 16:44:26  qboosh
- updated to 1.6.8p11 (more env cleaning)
- updated URLs

Revision 1.100  2005/09/24 10:11:55  charles
- corrected parameters with/without bconds

Revision 1.99  2005/09/23 11:48:51  qboosh
- missing )

Revision 1.98  2005/09/23 11:30:26  djurban
- add heimdal, ldap, skey bconds

Revision 1.97  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.96  2005/06/28 08:26:55  qboosh
- added CAN entry for rev. 1.94

Revision 1.95  2005/06/20 19:51:38  qboosh
- this "bug fix" release includes security fix (CAN entry not known yet)

Revision 1.94  2005/06/20 19:37:13  darekr
- updated to 1.6.8p9 (bug fix release)
  [fixes CAN-2005-1993]

Revision 1.93  2005/06/14 17:13:53  qboosh
- added comment to sparc utimes() workaround; sparc64 userland is not affected

Revision 1.92  2005/06/08 23:04:02  undefine
- workaround for broken utimes on sparc. see at: http://tinyurl.com/ckh4f
- release 4

Revision 1.91  2005/05/29 16:51:55  arekm
- rel 3; enable kerberos5, ldap, skey support; drop insults

Revision 1.90  2005/05/15 21:36:29  adamg
- release 2 for Th

Revision 1.89  2005/04/05 19:49:10  qboosh
- updated to 1.6.8p8 (noexec on Linux fixed)

Revision 1.88  2005/02/07 21:59:25  qboosh
- updated to 1.6.8p7

Revision 1.87  2005/01/05 22:55:08  aniolek
- updated to 1.6.8p6

Revision 1.86  2004/11/30 21:53:09  qboosh
- updated to 1.6.8p5

Revision 1.85  2004/11/22 11:30:23  qboosh
- sorted BRs

Revision 1.84  2004/11/19 17:58:22  qboosh
- updated to 1.6.8p4 (more env adjustments)

Revision 1.83  2004/11/17 20:58:29  glen
- added selinux bcond; rel 2; STBR

Revision 1.82  2004/11/12 21:56:08  radzio
- updated to 1.6.8p2
- this version include sec fix (see
  http://www.sudo.ws/sudo/alerts/bash_functions.html)

Revision 1.81  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.80  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.79  2004/10/10 19:41:34  paladine
- added missing BR: libtool

Revision 1.78  2004/09/23 16:05:24  havner
- rel 2

Revision 1.77  2004/09/23 11:22:37  kolodko
- added macros in /etc/logrotate.d

Revision 1.76  2004/09/19 10:37:44  qboosh
- updated to 1.6.8p1 (includes sudoedit security fix)
- updated selinux,ac patches

Revision 1.75  2004/08/29 20:42:36  qboosh
- updated to 1.6.8, updated selinux patch, added ac patch
- dropped non-existing configure options, unified binaries perms

Revision 1.74  2004/04/13 04:14:24  agaran
- bcond without selinux

Revision 1.73  2004/02/10 15:24:39  arekm
- update selinux patch

Revision 1.72  2004/01/02 01:16:27  arekm
- fix selinux

Revision 1.71  2003/12/26 19:32:01  arekm
- added BR: libselinux-devel

Revision 1.70  2003/12/26 19:26:53  arekm
- added selinux support

Revision 1.69  2003/12/22 19:20:27  jajcus
- copy config.sub from automake

Revision 1.68  2003/10/12 20:02:02  tiwek
- why BR /bin/vi ? visudo use $EDITOR. removed

Revision 1.67  2003/09/26 14:25:47  baggins
- release 2

Revision 1.66  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.65  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.64  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.63  2003/05/28 13:02:07  malekith
- massive attack: source-md5

Revision 1.62  2003/05/25 06:27:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/05/12 19:31:51  kloczek
- updated to 1.6.7p5: fixed a problem with large numbers of environment variables.

Revision 1.60  2003/04/21 08:34:48  misi3k
- updated to 1.6.7p4

Revision 1.59  2003/04/03 19:36:55  misi3k
- updated to 1.6.7p2

Revision 1.58  2002/12/27 23:57:23  radek
- added NROFFPROG=nroff to ./configure (probably not needed if
  groff is installed while building)

Revision 1.57  2002/12/07 23:49:26  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.56  2002/11/30 23:00:28  juandon
- new %doc

Revision 1.55  2002/05/16 20:07:46  kloczek
- release 2: merge translations from KSI and TurboLinux.

Revision 1.54  2002/04/25 17:21:55  kloczek
- updated to 1.6.6 (security fix).

Revision 1.53  2002/03/03 11:06:02  kloczek
- updated to 1.6.5p2 (minor fixes).

Revision 1.52  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/22 02:06:05  undefine
- fix: http://bugs.pld.org.pl/?bugs=58
  http://www.courtesan.com/bugzilla/show_bug.cgi?id=67

Revision 1.49  2002/01/18 09:28:08  kloczek
- updated to 1.6.5p1 (minor fixes).

Revision 1.48  2002/01/18 02:15:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.47  2002/01/17 09:56:55  kura
- updated to 1.6.5

Revision 1.46  2002/01/15 09:19:24  kura
- updated to 1.6.4p1
- removed DESTDIR.patch (no longer needed)
  WARNING: SECURITY FIX -- PLEASE UPDATE

Revision 1.45  2001/12/27 11:37:52  qrczak
- Log file is now /var/log/sudo, not /var/log/sudo.log
- Add config for logrotate.
- Release 5.

Revision 1.44  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.43  2001/10/30 03:42:48  kloczek
- merge translations from CNV.

Revision 1.42  2001/10/26 17:03:20  grzegorz
- chmod'ing g+r /etc/sudoers
- release 3

Revision 1.41  2001/10/03 00:52:28  marcus
- rewered to configure2_13, wrrr

Revision 1.40  2001/10/03 00:48:21  marcus
- added BuildRequires for ac/am

Revision 1.39  2001/06/24 14:44:42  kloczek
- bump release to 2.

Revision 1.38  2001/03/02 20:55:23  kloczek
- updated to 1.6.3p7.

Revision 1.37  2001/02/23 03:32:29  kloczek
- updated to 1.6.3p6.

Revision 1.36  2001/01/28 04:58:11  kloczek
- release 4: License is BSD (not GPL).

Revision 1.35  2000/10/03 06:47:18  kloczek
- release 3: spec now %{debug} ready and use rpm new automation suit.

Revision 1.34  2000/09/25 04:45:19  kloczek
- release 2,
- adapterized,
- added "BuildRequires: /bin/vi".

Revision 1.33  2000/08/16 11:18:23  kloczek
- updated to 1.6.3p5.

Revision 1.32  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.31  2000/06/05 11:45:47  wiget
- 1.6.3p4

Revision 1.30  2000/05/30 03:23:15  kloczek
- updated to 1.6.3p3,
- added "session optional /lib/security/pam_xauth.so" to sudo PAM
  authentication file,
- spec adapterized.

Revision 1.29  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.28  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.26  2000/03/28 00:00:35  kloczek
- updated to 1.6.3.

Revision 1.25  2000/03/10 18:55:29  kloczek
- updated to 1.6.2p3.

Revision 1.24  2000/02/28 12:12:51  kloczek
- updated to 1.6.2p2.

Revision 1.23  2000/02/03 22:46:01  kloczek
- updated to 1.6.2p1.

Revision 1.22  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.21  2000/01/26 16:16:01  kloczek
- updated to 1.6.2,
- adapter(ized).

Revision 1.20  1999/12/12 23:25:33  kloczek
- added pam-devel to BuildRequires.

Revision 1.19  1999/12/12 22:11:03  kloczek
- updated to 1.6.1.

Revision 1.18  1999/11/22 15:18:00  kloczek
- updated to 1.6.

Revision 1.17  1999/11/15 02:20:36  kloczek
- switch to DESTDIR style %install.

Revision 1.16  1999/11/14 01:45:44  kloczek
- updated to 1.5.9p4,
- added using %configure macro.

Revision 1.15  1999/07/21 07:47:20  wiget
- timestamp dir changed to /var/run/sudo (must be 0700 root.root)

Revision 1.14  1999/07/14 14:42:18  baggins
- cleanup

Revision 1.13  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
